// AutoResumeDlg.h : header file
//

#pragma once
#include "afxwin.h"

// CAutoResumeDlg dialog
class CAutoResumeDlg : public CDialog
{
// Construction
public:
	CAutoResumeDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_AUTORESUME_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

    typedef HRESULT (*DTRControlSuspend) (bool bfullsuspend);
// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnEnChangeEdit1();
    afx_msg void OnBnClickedButton1();
    afx_msg void OnBnClickedButton2();
	static UINT AutoRunTimeThread(LPVOID lpParam);
	void CancelAutoRun();
private:

public:
	ULONGLONG m_resumetime;
	int m_valTimes;
	CWinThread* pThread;
	CString m_str_resumetime;
	CString m_str_valTimes;
	afx_msg void OnBnClickedButton3();
	CEdit m_Edit3;
	afx_msg void OnBnClickedButton4();
	CButton m_RepeatButton;
};
